Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.jaxb
Class JaxbAssertion<T>

    java.lang.Object
      org.apache.neethi.builders.PrimitiveAssertion
          org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion
              org.apache.cxf.ws.policy.builder.jaxb.JaxbAssertion<T>

All Implemented Interfaces:
  org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

    public class JaxbAssertion<T>

extends PrimitiveAssertion

Field Summary

Fields inherited from class org.apache.neethi.builders.PrimitiveAssertion
`attributes, ignorable, name, optional, textValue`

Constructor Summary
`JaxbAssertion()`
`JaxbAssertion(QName qn, boolean optional)`
`JaxbAssertion(QName qn, boolean optional, boolean ignorable)`

Method Summary
`static
`<T> JaxbAssertion<T>`
` | `cast(org.apache.neethi.Assertion a)`
`static
`<T> JaxbAssertion<T>`
` | `cast(org.apache.neethi.Assertion a, Class<T> type)`
`protected org.apache.neethi.Assertion` | `clone(boolean optional)`
`boolean` | `equal(org.apache.neethi.PolicyComponent policyComponent)`
`T` | `getData()`
`void` | `serialize(javax.xml.stream.XMLStreamWriter writer)`
`void` | `setData(T d)`

Methods inherited from class org.apache.neethi.builders.PrimitiveAssertion
`addAttribute, addAttributes, getAttribute, getName, getOrCreatePrefix, getTextValue, getType, hasContents, isIgnorable, isOptional, normalize, setIgnorable, setName, setOptional, setTextValue, toString, writeAttributes, writeContents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JaxbAssertion

    public JaxbAssertion()

### JaxbAssertion

    public JaxbAssertion(QName qn,
                         boolean optional)

### JaxbAssertion

    public JaxbAssertion(QName qn,
                         boolean optional,
                         boolean ignorable)

Method Detail

### equal

    public boolean equal(org.apache.neethi.PolicyComponent policyComponent)

  Specified by:
    `equal` in interface `org.apache.neethi.PolicyComponent`
  Overrides:
    `equal` in class `org.apache.neethi.builders.PrimitiveAssertion`

### setData

    public void setData(T d)

### getData

    public T getData()

### clone

    protected org.apache.neethi.Assertion clone(boolean optional)

  Overrides:
    `clone` in class `PrimitiveAssertion`

### cast

    public static <T> JaxbAssertion<T> cast(org.apache.neethi.Assertion a)

### cast

    public static <T> JaxbAssertion<T> cast(org.apache.neethi.Assertion a,
                                            Class<T> type)

### serialize

    public void serialize(javax.xml.stream.XMLStreamWriter writer)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.neethi.Assertion`
  Specified by:
    `serialize` in interface `org.apache.neethi.PolicyComponent`
  Overrides:
    `serialize` in class `org.apache.neethi.builders.PrimitiveAssertion`
  Throws:
    `javax.xml.stream.XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF